View Issue Details

IDProjectCategoryView StatusLast Update
0004097SOGoWeb Mailpublic2017-09-01 11:10
Reporternenonano Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version6
Product Version3.2.7 
Target VersionFixed in Version3.2.8 
Summary0004097: pasting multiple email addresses on To: results in a single email
Descriptionif you copy and paste multiple email addresses (separated vith , or ; or : or simply a space, it doesn't matter) in To: field, you'll have a single email once validated, which is the concatenation or all the addresses
Steps To Reproducecreate a text file with:

jdoe@gmail.com prossi@gmail.com ted@yourdomain.tld

copy all those email (in a single line) and paste them on To: field; after clicking on Subject field, they will be concatenated (see attach)
TagsNo tags attached.

Activities

nenonano

nenonano

2017-03-21 08:00

reporter  

Senzanome.png (6,867 bytes)
Senzanome.png (6,867 bytes)
Christian Mack

Christian Mack

2017-03-22 05:48

developer   ~0011550

Space separated should not work, but semicolon and comma should.

I have more than once seen email addresses like:
"someone@example.com" someone@example.com

Those should not produce 2 emails.
nenonano

nenonano

2017-03-22 05:53

reporter   ~0011551

tried right now (again) with:

me@example.it,you@example.com,him@example.tld

it doesn't work (see new attach)
nenonano

nenonano

2017-03-22 05:55

reporter  

Senzanome_123.png (10,423 bytes)
Senzanome_123.png (10,423 bytes)

Related Changesets

sogo: master 5ff8463f

2017-03-22 11:58:05

francis

Details Diff
(js) Split string when pasting multiple addresses

Fixes 0004097
Affected Issues
0004097
mod - NEWS Diff File
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File

sogo: master 84edeb85

2017-09-01 11:09:24

francis

Details Diff
(js) Fix parsing of pasted email addresses

Fixes 0004258 and fixes 0004097
Affected Issues
0004097, 0004258
mod - NEWS Diff File
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File

Issue History

Date Modified Username Field Change
2017-03-21 08:00 nenonano New Issue
2017-03-21 08:00 nenonano File Added: Senzanome.png
2017-03-22 05:48 Christian Mack Note Added: 0011550
2017-03-22 05:53 nenonano Note Added: 0011551
2017-03-22 05:55 nenonano File Added: Senzanome_123.png
2017-03-22 11:58 francis Changeset attached => sogo master 5ff8463f
2017-03-22 11:58 francis Assigned To => francis
2017-03-22 11:58 francis Resolution open => fixed
2017-03-22 11:58 francis Status new => resolved
2017-03-22 11:58 francis Fixed in Version => 3.2.8
2017-09-01 11:10 francis Changeset attached => sogo master 84edeb85